![Screenshot_10](https://user-images.githubusercontent.com/64541739/174754962-952e3e72-0b2c-4ae6-987d-9f46c965e5c4.png)

# Easy Predictor

Perform Regression/Classifcation prediction on Excel dataset with ease.   

# Github Link

https://github.com/Tho100/easy_predictor

## Features

- Perform linear regression prediction by utilizing **linear** function
- Perform classification prediction by utilizing **classification** function
- Perform statistical calculation by utilizing **stats** function
- Visualize excel dataset by utilizing **tabulator** 

## Instruction

1. Linear Regression Prediction

```python
from easy_predictor import linear 

dataset = "path_to_excel_file"
model = linear.linear_regression()
model.predict(dataset,data_type: str,column_x: list[str],value: list[int],column_y: str)
```
2. Text Classification Prediction

```python
from easy_predictor import classification

dataset = "path_to_excel_file"
model = classification.classification()
model.predict(dataset,data_type: str,column_x: list[str],value: list[int],column_y: str)
```

3. Visualize Data

```python
from easy_predictor import table

dataset = "path_to_excel_file"
table.tabulator(dataset,dataset_type: 'xlsx','csv',columns=list[str])
```

# Statistical Calculation 

## Available Statistical Function

- Mean
- Median
- Mode
- Half

**Mean**

```python
from easy_predictor import stats

dataset = "path_to_excel"
model = stats.statistical()
model.mean(dataset,dtype: str,column=['Column1']) 
```

**Median**

```python
from easy_predictor import stats

dataset = "path_to_excel"
model = stats.statistical()
model.median(dataset,dtype: str,column=['Column1']) 
```

**Mode**

```python
from easy_predictor import stats

dataset = "path_to_excel"
model = stats.statistical()
model.mode(dataset,dtype: str,column=['Column1']) 
```

**Half**

```python
from easy_predictor import stats

dataset = "path_to_excel"
model = stats.statistical()
model.half(dataset,dtype: str,column=['Column1']) # Find half values of each rows from Column1
```

## Latest Update 0.1.0

```
CSV (Comma Seperated Values) File supported
```
## Latest Update 0.2.0

```
New 'table' Function To Visualize Data In Tabular Form
```

## Latest Update 0.3.0

```
ImportError: cannot import name 'table' from 'easy_predictor'. Bug
Fixed
```

## Latest Update 0.4.0

```
TypeError: object of type 'int' has no len(). Bug Fixed
```

## Latest Update 0.5.0

```
Bugs Fixed
```

## Latest Update 0.6.1

```
Multiple Column Input Supported
```

## Latest Update 0.6.2

```
Statistical Function
```

## Latest Update 0.6.3

```
Bugs Fixed
```

## Latest Update (0.6.6)

- **User Now Can Assign A Variable To Predicted Value**
- **Bug Fixed**

## Latest Update (0.6.7)

- **`got multiple values for argument 'data_type'` Bug fixed**
- **More Clean Looking Output**